<?php
/**
 * @file
 * materio_user_profiles.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function materio_user_profiles_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_default_profile2_type().
 */
function materio_user_profiles_default_profile2_type() {
  $items = array();
  $items['adherent'] = entity_import('profile2_type', '{
    "userCategory" : true,
    "userView" : true,
    "type" : "adherent",
    "label" : "Member Profile",
    "weight" : "0",
    "data" : { "registration" : 0, "use_page" : 0 }
  }');
  $items['contact_operationnel'] = entity_import('profile2_type', '{
    "userCategory" : true,
    "userView" : true,
    "type" : "contact_operationnel",
    "label" : "Contact Profile",
    "weight" : "0",
    "data" : { "registration" : 0 }
  }');
  return $items;
}
